=== debian/control ===
Source: linux-signed-amd64
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 12), dh-exec, python3:any, sbsigntool [amd64 arm64 i386]
Build-Depends-Arch: linux-image-6.7.12+bpo-amd64-unsigned (= 6.7.12-1~bpo12+1) [amd64] <!pkg.linux.nokernel !pkg.linux.quick>, kernel-wedge (>= 2.105~) [amd64] <!pkg.linux.nokernel>, kmod [amd64] <!pkg.linux.nokernel>, rsync [amd64] <!pkg.linux.nokernel>, linux-image-6.7.12+bpo-cloud-amd64-unsigned (= 6.7.12-1~bpo12+1) [amd64] <!pkg.linux.nokernel>, linux-image-6.7.12+bpo-rt-amd64-unsigned (= 6.7.12-1~bpo12+1) [amd64] <!pkg.linux.nokernel !pkg.linux.quick>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-image-6.7.12+bpo-amd64
Architecture: amd64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.7.12-1~bpo12+1)
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, apparmor [amd64]
Suggests: linux-doc-6.7, debian-kernel-handbook, grub-pc [amd64] | grub-efi-amd64 [amd64] | extlinux [amd64]
Replaces: linux-image-6.7.12+bpo-amd64-unsigned
Breaks: fwupdate (<< 12-7) [amd64], wireless-regdb (<< 2019.06.03-1~) [amd64], initramfs-tools (<< 0.120+deb8u2) [amd64]
Conflicts: linux-image-6.7.12+bpo-amd64-unsigned
Description: Linux 6.7 for 64-bit PCs (signed)
 The Linux kernel 6.7 and modules for use on PCs with AMD64, Intel 64 or
 VIA Nano processors.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-amd64
Architecture: amd64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Provides: linux-latest-modules-6.7.12+bpo-amd64, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386], linux-image-generic
Depends: linux-image-6.7.12+bpo-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Linux for 64-bit PCs (meta-package)
 This package depends on the latest Linux kernel and modules for use on PCs
 with AMD64, Intel 64 or VIA Nano processors.

Package: linux-headers-amd64
Architecture: amd64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Provides: linux-headers-generic
Depends: linux-headers-6.7.12+bpo-amd64 (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux amd64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel amd64 configuration.

Package: kernel-image-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: kernel-image
Kernel-Version: 6.7.12+bpo-amd64
Description: Linux kernel image and core modules for the Debian installer
 This package contains the kernel image and core modules for the Debian
 installer boot images.  It does _not_ provide a usable kernel for your
 full Debian system.

Package: nic-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, nic-shared-modules-6.7.12+bpo-amd64-di, i2c-modules-6.7.12+bpo-amd64-di, crc-modules-6.7.12+bpo-amd64-di, mtd-core-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.

Package: nic-wireless-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: nic-wireless-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, nic-shared-modules-6.7.12+bpo-amd64-di, usb-modules-6.7.12+bpo-amd64-di, mmc-core-modules-6.7.12+bpo-amd64-di, pcmcia-modules-6.7.12+bpo-amd64-di, crc-modules-6.7.12+bpo-amd64-di, rfkill-modules-6.7.12+bpo-amd64-di, crypto-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).

Package: nic-shared-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: nic-shared-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, crc-modules-6.7.12+bpo-amd64-di, i2c-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.

Package: serial-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: optional
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: serial-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, pcmcia-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: Serial drivers
 This package contains serial drivers for the kernel.

Package: usb-serial-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: optional
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: usb-serial-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, usb-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.

Package: ppp-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: optional
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: ppp-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, serial-modules-6.7.12+bpo-amd64-di, crc-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: PPP drivers
 This package contains PPP drivers for the kernel.

Package: pata-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: pata-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, ata-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: PATA drivers
 This package contains PATA drivers for the kernel.

Package: cdrom-core-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: cdrom-core-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, scsi-core-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: CDROM support
 This package contains core CDROM support for the kernel.

Package: firewire-core-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: firewire-core-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, scsi-core-modules-6.7.12+bpo-amd64-di, crc-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: Core FireWire drivers
 This package contains core FireWire drivers for the kernel.

Package: scsi-core-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: scsi-core-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, crc-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.

Package: scsi-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: scsi-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, scsi-core-modules-6.7.12+bpo-amd64-di, cdrom-core-modules-6.7.12+bpo-amd64-di, ata-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.

Package: scsi-nic-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: optional
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: scsi-nic-modules
Depends: scsi-modules-6.7.12+bpo-amd64-di, nic-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: SCSI drivers for converged NICs
 This package contains SCSI drivers that depend on net drivers.

Package: loop-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: loop-modules
Depends: kernel-image-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.

Package: btrfs-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: optional
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: btrfs-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, crc-modules-6.7.12+bpo-amd64-di, md-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.

Package: ext4-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, crc-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.

Package: isofs-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: isofs-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, cdrom-core-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.

Package: jfs-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: jfs-modules
Depends: kernel-image-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: JFS filesystem support
 This package contains the JFS filesystem module for the kernel.

Package: xfs-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: xfs-modules
Depends: kernel-image-6.7.12+bpo-amd64-di, crc-modules-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: XFS filesystem support
 This package contains the XFS filesystem module for the kernel.

Package: fat-modules-6.7.12+bpo-amd64-di
Package-Type: udeb
Architecture: amd64
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: fat-modules
Depends: kernel-image-6.7.12+bpo-amd64-di
Kernel-Version: 6.7.12+bpo-amd64
Description: FAT filesystem support
